Bug 540340 - [patch] Update Finance::Quote to fix ASX quotes
Summary: [patch] Update Finance::Quote to fix ASX quotes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Finance-Quote
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-23 04:51 UTC by Bradley
Modified: 2014-03-17 03:21 UTC (History)
3 users (show)

Fixed In Version: 1.17-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-03 05:08:57 UTC
Type: ---


Attachments (Terms of Use)
Update to 1.17 (1.35 KB, patch)
2009-11-23 04:51 UTC, Bradley
no flags Details | Diff

Description Bradley 2009-11-23 04:51:27 UTC
Created attachment 373016 [details]
Update to 1.17

Description of problem:

Current Finance::Quote version in fedora is 1.13. This version has a bug with getting Australian Stock Exchange quotes (http://rt.cpan.org/Ticket/Display.html?id=45052) which is fixed in 1.17

I've attached a patch for the spec file to add extra BuildRequires.

Note that upsteam has moved from ExtUtils::MakeMaker to Module::Install, but uses a bundled Module::Install - not sure if that's allowed?

Version-Release number of selected component (if applicable):

perl-Finance-Quote-1.13-4.fc12

How reproducible:

Always

Steps to Reproduce:
1. Try to get quote for an ASX stock
  
Actual results:

Fails

Expected results:

Works

Additional info:

Comment 1 Fedora Update System 2009-11-23 18:29:44 UTC
perl-Finance-Quote-1.17-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Finance-Quote-1.17-1.fc12

Comment 2 Fedora Update System 2009-11-23 18:30:59 UTC
perl-Finance-Quote-1.17-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Finance-Quote-1.17-1.fc11

Comment 3 Bill Nottingham 2009-11-23 18:31:33 UTC
Thanks for the patch!

Comment 4 Fedora Update System 2009-11-25 15:28:13 UTC
perl-Finance-Quote-1.17-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Finance-Quote'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12154

Comment 5 Fedora Update System 2009-11-25 15:33:27 UTC
perl-Finance-Quote-1.17-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Finance-Quote'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12193

Comment 6 Fedora Update System 2009-12-03 05:08:52 UTC
perl-Finance-Quote-1.17-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-12-03 05:12:18 UTC
perl-Finance-Quote-1.17-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.